<?php

declare(strict_types=1);

namespace DoctrineMigrations;

use Doctrine\DBAL\Schema\Schema;
use Doctrine\Migrations\AbstractMigration;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
final class Version20240517091727 extends AbstractMigration
{
    public function getDescription(): string
    {
        return '';
    }

    public function up(Schema $schema): void
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE TABLE access_user (id UUID NOT NULL, user_id UUID NOT NULL, tenant_id UUID DEFAULT NULL, openid_id UUID DEFAULT NULL, ldap_id UUID DEFAULT NULL, role_id UUID NOT NULL, ldap_username VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_7B4AB04FA76ED395 ON access_user (user_id)');
        $this->addSql('CREATE INDEX IDX_7B4AB04F9033212A ON access_user (tenant_id)');
        $this->addSql('CREATE INDEX IDX_7B4AB04F9B95AF69 ON access_user (openid_id)');
        $this->addSql('CREATE INDEX IDX_7B4AB04F147256E0 ON access_user (ldap_id)');
        $this->addSql('CREATE INDEX IDX_7B4AB04FD60322AC ON access_user (role_id)');
        $this->addSql('COMMENT ON COLUMN access_user.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN access_user.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN access_user.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN access_user.openid_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN access_user.ldap_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN access_user.role_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE activity (id UUID NOT NULL, created_user_id UUID DEFAULT NULL, tenant_id UUID DEFAULT NULL, user_id UUID DEFAULT NULL, label_group_id UUID DEFAULT NULL, label_id UUID DEFAULT NULL, profile_id UUID DEFAULT NULL, agreement_id UUID DEFAULT NULL, authority_id UUID DEFAULT NULL, vocabulary_id UUID DEFAULT NULL, category_id UUID DEFAULT NULL, service_level_id UUID DEFAULT NULL, document_rule_id UUID DEFAULT NULL, scope_id UUID DEFAULT NULL, management_rule_id UUID DEFAULT NULL, rule_type_id UUID DEFAULT NULL, foreign_model VARCHAR(255) NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, user_deleted_name VARCHAR(255) DEFAULT NULL, action VARCHAR(255) NOT NULL, subject TEXT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_AC74095AE104C1D3 ON activity (created_user_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A9033212A ON activity (tenant_id)');
        $this->addSql('CREATE INDEX IDX_AC74095AA76ED395 ON activity (user_id)');
        $this->addSql('CREATE INDEX IDX_AC74095ABC5AC082 ON activity (label_group_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A33B92F39 ON activity (label_id)');
        $this->addSql('CREATE INDEX IDX_AC74095ACCFA12B8 ON activity (profile_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A24890B2B ON activity (agreement_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A81EC865B ON activity (authority_id)');
        $this->addSql('CREATE INDEX IDX_AC74095AAD0E05F6 ON activity (vocabulary_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A12469DE2 ON activity (category_id)');
        $this->addSql('CREATE INDEX IDX_AC74095AA6C7109A ON activity (service_level_id)');
        $this->addSql('CREATE INDEX IDX_AC74095AD021A58D ON activity (document_rule_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A682B5931 ON activity (scope_id)');
        $this->addSql('CREATE INDEX IDX_AC74095AFC931FB ON activity (management_rule_id)');
        $this->addSql('CREATE INDEX IDX_AC74095A35D8B527 ON activity (rule_type_id)');
        $this->addSql('COMMENT ON COLUMN activity.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.created_user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.label_group_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.profile_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.authority_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.vocabulary_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.category_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.service_level_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.document_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.scope_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.management_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN activity.rule_type_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement (id UUID NOT NULL, tenant_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, validity_begin DATE DEFAULT NULL, validity_end DATE DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_2E655A249033212A ON agreement (tenant_id)');
        $this->addSql('COMMENT ON COLUMN agreement.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_label (agreement_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(agreement_id, label_id))');
        $this->addSql('CREATE INDEX IDX_542A40E524890B2B ON agreement_label (agreement_id)');
        $this->addSql('CREATE INDEX IDX_542A40E533B92F39 ON agreement_label (label_id)');
        $this->addSql('COMMENT ON COLUMN agreement_label.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_archival_agency_identifier (id UUID NOT NULL, agreement_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_C689260424890B2B ON agreement_archival_agency_identifier (agreement_id)');
        $this->addSql('COMMENT ON COLUMN agreement_archival_agency_identifier.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_archival_agency_identifier.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_file (id UUID NOT NULL, file_id UUID NOT NULL, agreement_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_45020EE93CB796C ON agreement_file (file_id)');
        $this->addSql('CREATE INDEX IDX_45020EE24890B2B ON agreement_file (agreement_id)');
        $this->addSql('COMMENT ON COLUMN agreement_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_file.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_originating_agency_identifier (id UUID NOT NULL, agreement_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_A1CB12D124890B2B ON agreement_originating_agency_identifier (agreement_id)');
        $this->addSql('COMMENT ON COLUMN agreement_originating_agency_identifier.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_originating_agency_identifier.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_profile_identifier (id UUID NOT NULL, agreement_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_E93257AC24890B2B ON agreement_profile_identifier (agreement_id)');
        $this->addSql('COMMENT ON COLUMN agreement_profile_identifier.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_profile_identifier.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE agreement_transferring_agency_identifier (id UUID NOT NULL, agreement_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_799A6A3B24890B2B ON agreement_transferring_agency_identifier (agreement_id)');
        $this->addSql('COMMENT ON COLUMN agreement_transferring_agency_identifier.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN agreement_transferring_agency_identifier.agreement_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE api_token (id UUID NOT NULL, user_id UUID NOT NULL, tenant_id UUID NOT NULL, token VARCHAR(255) NOT NULL, last_access TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_7BA2F5EBA76ED395 ON api_token (user_id)');
        $this->addSql('CREATE INDEX IDX_7BA2F5EB9033212A ON api_token (tenant_id)');
        $this->addSql('COMMENT ON COLUMN api_token.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN api_token.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN api_token.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE authority (id UUID NOT NULL, tenant_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, maintenance_status VARCHAR(255) DEFAULT NULL, exist_dates_from DATE DEFAULT NULL, exist_dates_to DATE DEFAULT NULL, entity_type VARCHAR(255) DEFAULT NULL, legal_status TEXT DEFAULT NULL, place TEXT DEFAULT NULL, function TEXT DEFAULT NULL, occupation TEXT DEFAULT NULL, mandate TEXT DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_4AF96AFC9033212A ON authority (tenant_id)');
        $this->addSql('COMMENT ON COLUMN authority.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN authority.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE authority_label (authority_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(authority_id, label_id))');
        $this->addSql('CREATE INDEX IDX_B32E5BC181EC865B ON authority_label (authority_id)');
        $this->addSql('CREATE INDEX IDX_B32E5BC133B92F39 ON authority_label (label_id)');
        $this->addSql('COMMENT ON COLUMN authority_label.authority_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN authority_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE authority_file (id UUID NOT NULL, file_id UUID NOT NULL, authority_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_B86603E093CB796C ON authority_file (file_id)');
        $this->addSql('CREATE INDEX IDX_B86603E081EC865B ON authority_file (authority_id)');
        $this->addSql('COMMENT ON COLUMN authority_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN authority_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN authority_file.authority_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE category (id UUID NOT NULL, tenant_id UUID NOT NULL, parent_id UUID DEFAULT NULL, root_id UUID DEFAULT NULL, lvl INT NOT NULL, lft INT DEFAULT NULL, rght INT DEFAULT NULL, name VARCHAR(255) NOT NULL, description VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_64C19C19033212A ON category (tenant_id)');
        $this->addSql('CREATE INDEX IDX_64C19C1727ACA70 ON category (parent_id)');
        $this->addSql('CREATE INDEX IDX_64C19C179066886 ON category (root_id)');
        $this->addSql('COMMENT ON COLUMN category.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN category.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN category.parent_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN category.root_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE cron (id UUID NOT NULL, name VARCHAR(255) NOT NULL, description TEXT NOT NULL, service VARCHAR(255) NOT NULL, frequency VARCHAR(255) NOT NULL, next TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN cron.id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE cron_execution (id UUID NOT NULL, cron_id UUID NOT NULL, date_begin TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, date_end TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, state VARCHAR(255) NOT NULL, report TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_F7D4AEC38435942 ON cron_execution (cron_id)');
        $this->addSql('COMMENT ON COLUMN cron_execution.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN cron_execution.cron_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE document_rule (id UUID NOT NULL, tenant_id UUID NOT NULL, storage_rule_id UUID DEFAULT NULL, appraisal_rule_id UUID DEFAULT NULL, access_rule_id UUID DEFAULT NULL, profile_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, observation TEXT DEFAULT NULL, regulatory_text TEXT DEFAULT NULL, document_support VARCHAR(255) NOT NULL, literal_file_format VARCHAR(255) DEFAULT NULL, document_location VARCHAR(255) DEFAULT NULL, storage_rule_literal_start_date VARCHAR(255) DEFAULT NULL, storage_rule_note TEXT DEFAULT NULL, appraisal_rule_literal_start_date VARCHAR(255) DEFAULT NULL, appraisal_rule_final_action VARCHAR(255) NOT NULL, appraisal_rule_note TEXT DEFAULT NULL, access_rule_literal_star_date VARCHAR(255) DEFAULT NULL, access_rule_note TEXT DEFAULT NULL, technical_metadata TEXT DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_E16C205F9033212A ON document_rule (tenant_id)');
        $this->addSql('CREATE INDEX IDX_E16C205F3723033 ON document_rule (storage_rule_id)');
        $this->addSql('CREATE INDEX IDX_E16C205FF9F32A6 ON document_rule (appraisal_rule_id)');
        $this->addSql('CREATE INDEX IDX_E16C205FBC6BD944 ON document_rule (access_rule_id)');
        $this->addSql('CREATE INDEX IDX_E16C205FCCFA12B8 ON document_rule (profile_id)');
        $this->addSql('COMMENT ON COLUMN document_rule.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule.storage_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule.appraisal_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule.access_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule.profile_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE document_rule_label (document_rule_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(document_rule_id, label_id))');
        $this->addSql('CREATE INDEX IDX_6156DB7ED021A58D ON document_rule_label (document_rule_id)');
        $this->addSql('CREATE INDEX IDX_6156DB7E33B92F39 ON document_rule_label (label_id)');
        $this->addSql('COMMENT ON COLUMN document_rule_label.document_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE document_rule_category (document_rule_id UUID NOT NULL, category_id UUID NOT NULL, PRIMARY KEY(document_rule_id, category_id))');
        $this->addSql('CREATE INDEX IDX_ED1F5EE6D021A58D ON document_rule_category (document_rule_id)');
        $this->addSql('CREATE INDEX IDX_ED1F5EE612469DE2 ON document_rule_category (category_id)');
        $this->addSql('COMMENT ON COLUMN document_rule_category.document_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_category.category_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE document_rule_file (id UUID NOT NULL, file_id UUID NOT NULL, document_rule_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_CD6341C693CB796C ON document_rule_file (file_id)');
        $this->addSql('CREATE INDEX IDX_CD6341C6D021A58D ON document_rule_file (document_rule_id)');
        $this->addSql('COMMENT ON COLUMN document_rule_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_file.document_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE document_rule_import_session (id UUID NOT NULL, user_id UUID NOT NULL, tenant_id UUID NOT NULL, csv_file_id UUID NOT NULL, last_category_id UUID DEFAULT NULL, column_types TEXT NOT NULL, last_seek_offset INT NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, last_category_level INT DEFAULT NULL, last_row INT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_4F2152E2A76ED395 ON document_rule_import_session (user_id)');
        $this->addSql('CREATE INDEX IDX_4F2152E29033212A ON document_rule_import_session (tenant_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_4F2152E2BED78269 ON document_rule_import_session (csv_file_id)');
        $this->addSql('CREATE INDEX IDX_4F2152E25270E2EE ON document_rule_import_session (last_category_id)');
        $this->addSql('COMMENT ON COLUMN document_rule_import_session.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_import_session.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_import_session.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_import_session.csv_file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN document_rule_import_session.last_category_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE file (id UUID NOT NULL, name VARCHAR(512) NOT NULL, size BIGINT NOT NULL, hash_algo VARCHAR(255) DEFAULT \'sha256\' NOT NULL, hash VARCHAR(255) NOT NULL, mime VARCHAR(255) NOT NULL, content BYTEA NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE label (id UUID NOT NULL, tenant_id UUID NOT NULL, label_group_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, color VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_EA750E89033212A ON label (tenant_id)');
        $this->addSql('CREATE INDEX IDX_EA750E8BC5AC082 ON label (label_group_id)');
        $this->addSql('COMMENT ON COLUMN label.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN label.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN label.label_group_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE label_group (id UUID NOT NULL, tenant_id UUID NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_FFDEF2CB9033212A ON label_group (tenant_id)');
        $this->addSql('COMMENT ON COLUMN label_group.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN label_group.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE ldap (id UUID NOT NULL, name VARCHAR(255) NOT NULL, host VARCHAR(255) NOT NULL, port INT NOT NULL, user_query_login VARCHAR(255) DEFAULT NULL, user_query_password VARCHAR(255) DEFAULT NULL, ldap_root_search VARCHAR(255) NOT NULL, ldap_users_filter VARCHAR(65535) DEFAULT NULL, account_prefix VARCHAR(255) DEFAULT NULL, account_suffix VARCHAR(255) DEFAULT NULL, description TEXT DEFAULT NULL, use_proxy BOOLEAN DEFAULT NULL, use_ssl BOOLEAN DEFAULT NULL, use_tls BOOLEAN DEFAULT NULL, schema VARCHAR(255) NOT NULL, follow_referrals BOOLEAN NOT NULL, version INT NOT NULL, timeout INT NOT NULL, custom_options TEXT NOT NULL, user_login_attribute VARCHAR(512) NOT NULL, user_username_attribute VARCHAR(512) DEFAULT NULL, user_name_attribute VARCHAR(255) DEFAULT NULL, user_mail_attribute VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN ldap.id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE ldap_tenant (ldap_id UUID NOT NULL, tenant_id UUID NOT NULL, PRIMARY KEY(ldap_id, tenant_id))');
        $this->addSql('CREATE INDEX IDX_240BE9F1147256E0 ON ldap_tenant (ldap_id)');
        $this->addSql('CREATE INDEX IDX_240BE9F19033212A ON ldap_tenant (tenant_id)');
        $this->addSql('COMMENT ON COLUMN ldap_tenant.ldap_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN ldap_tenant.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE management_rule (id UUID NOT NULL, tenant_id UUID NOT NULL, rule_type_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT NOT NULL, duration VARCHAR(255) NOT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_D2307BD89033212A ON management_rule (tenant_id)');
        $this->addSql('CREATE INDEX IDX_D2307BD835D8B527 ON management_rule (rule_type_id)');
        $this->addSql('COMMENT ON COLUMN management_rule.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN management_rule.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN management_rule.rule_type_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE management_rule_label (management_rule_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(management_rule_id, label_id))');
        $this->addSql('CREATE INDEX IDX_8AD6EA17FC931FB ON management_rule_label (management_rule_id)');
        $this->addSql('CREATE INDEX IDX_8AD6EA1733B92F39 ON management_rule_label (label_id)');
        $this->addSql('COMMENT ON COLUMN management_rule_label.management_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN management_rule_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE management_rule_file (id UUID NOT NULL, file_id UUID NOT NULL, management_rule_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_4364170393CB796C ON management_rule_file (file_id)');
        $this->addSql('CREATE INDEX IDX_43641703FC931FB ON management_rule_file (management_rule_id)');
        $this->addSql('COMMENT ON COLUMN management_rule_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN management_rule_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN management_rule_file.management_rule_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE notify (id UUID NOT NULL, user_id UUID NOT NULL, text TEXT NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, css_class VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_217BEDC8A76ED395 ON notify (user_id)');
        $this->addSql('COMMENT ON COLUMN notify.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN notify.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE openid (id UUID NOT NULL, name VARCHAR(255) NOT NULL, url VARCHAR(255) NOT NULL, client_id VARCHAR(255) NOT NULL, client_secret VARCHAR(255) DEFAULT NULL, username_field VARCHAR(255) NOT NULL, identifier VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_1E368575E237E06 ON openid (name)');
        $this->addSql('COMMENT ON COLUMN openid.id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE openid_tenant (openid_id UUID NOT NULL, tenant_id UUID NOT NULL, PRIMARY KEY(openid_id, tenant_id))');
        $this->addSql('CREATE INDEX IDX_6277A3859B95AF69 ON openid_tenant (openid_id)');
        $this->addSql('CREATE INDEX IDX_6277A3859033212A ON openid_tenant (tenant_id)');
        $this->addSql('COMMENT ON COLUMN openid_tenant.openid_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN openid_tenant.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE openid_scope (id UUID NOT NULL, openid_id UUID NOT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_F756396D9B95AF69 ON openid_scope (openid_id)');
        $this->addSql('COMMENT ON COLUMN openid_scope.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN openid_scope.openid_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE permission_privilege (id UUID NOT NULL, privilege_id UUID NOT NULL, permission_classname VARCHAR(255) NOT NULL, action VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_A5D7B4EB32FB8AEA ON permission_privilege (privilege_id)');
        $this->addSql('COMMENT ON COLUMN permission_privilege.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN permission_privilege.privilege_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE privilege (id UUID NOT NULL, tenant_id UUID DEFAULT NULL, privilege_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_87209A879033212A ON privilege (tenant_id)');
        $this->addSql('CREATE INDEX IDX_87209A8732FB8AEA ON privilege (privilege_id)');
        $this->addSql('COMMENT ON COLUMN privilege.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege.privilege_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE privilege_role (privilege_id UUID NOT NULL, role_id UUID NOT NULL, PRIMARY KEY(privilege_id, role_id))');
        $this->addSql('CREATE INDEX IDX_97F8DF5F32FB8AEA ON privilege_role (privilege_id)');
        $this->addSql('CREATE INDEX IDX_97F8DF5FD60322AC ON privilege_role (role_id)');
        $this->addSql('COMMENT ON COLUMN privilege_role.privilege_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege_role.role_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE privilege_user (id UUID NOT NULL, privilege_id UUID NOT NULL, tenant_id UUID NOT NULL, user_id UUID NOT NULL, is_granted BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_4D02837C32FB8AEA ON privilege_user (privilege_id)');
        $this->addSql('CREATE INDEX IDX_4D02837C9033212A ON privilege_user (tenant_id)');
        $this->addSql('CREATE INDEX IDX_4D02837CA76ED395 ON privilege_user (user_id)');
        $this->addSql('COMMENT ON COLUMN privilege_user.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege_user.privilege_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege_user.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN privilege_user.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE profile (id UUID NOT NULL, tenant_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_8157AA0F9033212A ON profile (tenant_id)');
        $this->addSql('COMMENT ON COLUMN profile.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN profile.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE profile_label (profile_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(profile_id, label_id))');
        $this->addSql('CREATE INDEX IDX_F973CF3ACCFA12B8 ON profile_label (profile_id)');
        $this->addSql('CREATE INDEX IDX_F973CF3A33B92F39 ON profile_label (label_id)');
        $this->addSql('COMMENT ON COLUMN profile_label.profile_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN profile_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE profile_file (id UUID NOT NULL, file_id UUID NOT NULL, profile_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_3A57B98493CB796C ON profile_file (file_id)');
        $this->addSql('CREATE INDEX IDX_3A57B984CCFA12B8 ON profile_file (profile_id)');
        $this->addSql('COMMENT ON COLUMN profile_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN profile_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN profile_file.profile_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE rgpd_info (id UUID NOT NULL, tenant_id UUID DEFAULT NULL, org_name TEXT DEFAULT NULL, org_address TEXT DEFAULT NULL, org_siret VARCHAR(255) DEFAULT NULL, org_ape VARCHAR(255) DEFAULT NULL, org_phone VARCHAR(255) DEFAULT NULL, org_email VARCHAR(255) DEFAULT NULL, ceo_name VARCHAR(255) DEFAULT NULL, ceo_function VARCHAR(255) DEFAULT NULL, dpo_name VARCHAR(255) DEFAULT NULL, dpo_email VARCHAR(255) DEFAULT NULL, comment TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_CDF17D699033212A ON rgpd_info (tenant_id)');
        $this->addSql('COMMENT ON COLUMN rgpd_info.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN rgpd_info.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE role (id UUID NOT NULL, tenant_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_57698A6A9033212A ON role (tenant_id)');
        $this->addSql('COMMENT ON COLUMN role.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN role.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE rule_type (id UUID NOT NULL, tenant_id UUID DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_DF1A085E9033212A ON rule_type (tenant_id)');
        $this->addSql('COMMENT ON COLUMN rule_type.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN rule_type.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE service_level (id UUID NOT NULL, tenant_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_339821F49033212A ON service_level (tenant_id)');
        $this->addSql('COMMENT ON COLUMN service_level.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN service_level.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE service_level_label (service_level_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(service_level_id, label_id))');
        $this->addSql('CREATE INDEX IDX_A8E4734DA6C7109A ON service_level_label (service_level_id)');
        $this->addSql('CREATE INDEX IDX_A8E4734D33B92F39 ON service_level_label (label_id)');
        $this->addSql('COMMENT ON COLUMN service_level_label.service_level_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN service_level_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE service_level_file (id UUID NOT NULL, file_id UUID NOT NULL, service_level_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_73EBF4B593CB796C ON service_level_file (file_id)');
        $this->addSql('CREATE INDEX IDX_73EBF4B5A6C7109A ON service_level_file (service_level_id)');
        $this->addSql('COMMENT ON COLUMN service_level_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN service_level_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN service_level_file.service_level_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE "table" (id UUID NOT NULL, dom_id VARCHAR(255) NOT NULL, active_line VARCHAR(255) DEFAULT NULL, favorites TEXT DEFAULT NULL, columns TEXT DEFAULT NULL, max_per_page INT DEFAULT NULL, user_id VARCHAR(255) DEFAULT NULL, guest_token VARCHAR(255) DEFAULT NULL, guest_last_access TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN "table".id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE table_filters (id UUID NOT NULL, table_id UUID NOT NULL, name VARCHAR(255) NOT NULL, filters TEXT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_7A442682ECFF285C ON table_filters (table_id)');
        $this->addSql('COMMENT ON COLUMN table_filters.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN table_filters.table_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE tenant (id UUID NOT NULL, configuration_id UUID DEFAULT NULL, name VARCHAR(255) NOT NULL, baseurl VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, active BOOLEAN NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_4E59C4625E237E06 ON tenant (name)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_4E59C462FB505FDF ON tenant (baseurl)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_4E59C46273F32DD8 ON tenant (configuration_id)');
        $this->addSql('COMMENT ON COLUMN tenant.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN tenant.configuration_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE tenant_user (tenant_id UUID NOT NULL, user_id UUID NOT NULL, PRIMARY KEY(tenant_id, user_id))');
        $this->addSql('CREATE INDEX IDX_C7FC8C9A9033212A ON tenant_user (tenant_id)');
        $this->addSql('CREATE INDEX IDX_C7FC8C9AA76ED395 ON tenant_user (user_id)');
        $this->addSql('COMMENT ON COLUMN tenant_user.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN tenant_user.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE tenant_configuration (id UUID NOT NULL, logo_main_id UUID DEFAULT NULL, logo_login_id UUID DEFAULT NULL, logo_main_height INT DEFAULT NULL, mail_prefix VARCHAR(255) DEFAULT NULL, mail_signature TEXT DEFAULT NULL, logo_login_bg_color VARCHAR(255) DEFAULT NULL, max_filesize BIGINT DEFAULT NULL, file_retention_count INT DEFAULT NULL, logo_login_text VARCHAR(255) DEFAULT NULL, logo_login_text_style VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_9FB3222356544DFA ON tenant_configuration (logo_main_id)');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_9FB32223C83BB8B ON tenant_configuration (logo_login_id)');
        $this->addSql('COMMENT ON COLUMN tenant_configuration.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN tenant_configuration.logo_main_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN tenant_configuration.logo_login_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE term (id UUID NOT NULL, vocabulary_id UUID NOT NULL, name VARCHAR(255) NOT NULL, identifier VARCHAR(255) DEFAULT NULL, directory_name VARCHAR(255) DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_A50FE78DAD0E05F6 ON term (vocabulary_id)');
        $this->addSql('COMMENT ON COLUMN term.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN term.vocabulary_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE "user" (id UUID NOT NULL, username VARCHAR(255) NOT NULL, name VARCHAR(255) DEFAULT NULL, password VARCHAR(255) DEFAULT NULL, email VARCHAR(255) NOT NULL, notify_user_registration BOOLEAN NOT NULL, user_defined_password BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE UNIQUE INDEX UNIQ_8D93D649F85E0677 ON "user" (username)');
        $this->addSql('COMMENT ON COLUMN "user".id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE user_creation_request (id UUID NOT NULL, tenant_id UUID DEFAULT NULL, username VARCHAR(255) NOT NULL, name VARCHAR(255) DEFAULT NULL, email VARCHAR(255) NOT NULL, ip VARCHAR(255) NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, email_token VARCHAR(255) NOT NULL, email_verified BOOLEAN NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_66831F299033212A ON user_creation_request (tenant_id)');
        $this->addSql('COMMENT ON COLUMN user_creation_request.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN user_creation_request.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE user_password_renew_token (id UUID NOT NULL, user_id UUID NOT NULL, token VARCHAR(255) NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_B93DC872A76ED395 ON user_password_renew_token (user_id)');
        $this->addSql('COMMENT ON COLUMN user_password_renew_token.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN user_password_renew_token.user_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE version (id UUID NOT NULL, subject VARCHAR(255) NOT NULL, version VARCHAR(255) NOT NULL, created TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, PRIMARY KEY(id))');
        $this->addSql('COMMENT ON COLUMN version.id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE vocabulary (id UUID NOT NULL, tenant_id UUID NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, public BOOLEAN NOT NULL, state VARCHAR(255) NOT NULL, version INT NOT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_9099C97B9033212A ON vocabulary (tenant_id)');
        $this->addSql('COMMENT ON COLUMN vocabulary.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN vocabulary.tenant_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE vocabulary_label (vocabulary_id UUID NOT NULL, label_id UUID NOT NULL, PRIMARY KEY(vocabulary_id, label_id))');
        $this->addSql('CREATE INDEX IDX_3C24DD02AD0E05F6 ON vocabulary_label (vocabulary_id)');
        $this->addSql('CREATE INDEX IDX_3C24DD0233B92F39 ON vocabulary_label (label_id)');
        $this->addSql('COMMENT ON COLUMN vocabulary_label.vocabulary_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN vocabulary_label.label_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE vocabulary_file (id UUID NOT NULL, file_id UUID NOT NULL, vocabulary_id UUID NOT NULL, type VARCHAR(255) NOT NULL, description TEXT DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_D77E3F3C93CB796C ON vocabulary_file (file_id)');
        $this->addSql('CREATE INDEX IDX_D77E3F3CAD0E05F6 ON vocabulary_file (vocabulary_id)');
        $this->addSql('COMMENT ON COLUMN vocabulary_file.id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN vocabulary_file.file_id IS \'(DC2Type:uuid)\'');
        $this->addSql('COMMENT ON COLUMN vocabulary_file.vocabulary_id IS \'(DC2Type:uuid)\'');
        $this->addSql('CREATE TABLE messenger_messages (id BIGSERIAL NOT NULL, body TEXT NOT NULL, headers TEXT NOT NULL, queue_name VARCHAR(190) NOT NULL, created_at TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, available_at TIMESTAMP(0) WITHOUT TIME ZONE NOT NULL, delivered_at TIMESTAMP(0) WITHOUT TIME ZONE DEFAULT NULL, PRIMARY KEY(id))');
        $this->addSql('CREATE INDEX IDX_75EA56E0FB7336F0 ON messenger_messages (queue_name)');
        $this->addSql('CREATE INDEX IDX_75EA56E0E3BD61CE ON messenger_messages (available_at)');
        $this->addSql('CREATE INDEX IDX_75EA56E016BA31DB ON messenger_messages (delivered_at)');
        $this->addSql('COMMENT ON COLUMN messenger_messages.created_at IS \'(DC2Type:datetime_immutable)\'');
        $this->addSql('COMMENT ON COLUMN messenger_messages.available_at IS \'(DC2Type:datetime_immutable)\'');
        $this->addSql('COMMENT ON COLUMN messenger_messages.delivered_at IS \'(DC2Type:datetime_immutable)\'');
        $this->addSql('CREATE OR REPLACE FUNCTION notify_messenger_messages() RETURNS TRIGGER AS $$
            BEGIN
                PERFORM pg_notify(\'messenger_messages\', NEW.queue_name::text);
                RETURN NEW;
            END;
        $$ LANGUAGE plpgsql;');
        $this->addSql('DROP TRIGGER IF EXISTS notify_trigger ON messenger_messages;');
        $this->addSql('CREATE TRIGGER notify_trigger AFTER INSERT OR UPDATE ON messenger_messages FOR EACH ROW EXECUTE PROCEDURE notify_messenger_messages();');
        $this->addSql('CREATE TABLE sessions (sess_id VARCHAR(128) NOT NULL, sess_data BYTEA NOT NULL, sess_lifetime INT NOT NULL, sess_time INT NOT NULL, PRIMARY KEY(sess_id))');
        $this->addSql('CREATE INDEX sess_lifetime_idx ON sessions (sess_lifetime)');
        $this->addSql('ALTER TABLE access_user ADD CONSTRAINT FK_7B4AB04FA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE access_user ADD CONSTRAINT FK_7B4AB04F9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE access_user ADD CONSTRAINT FK_7B4AB04F9B95AF69 FOREIGN KEY (openid_id) REFERENCES openid (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE access_user ADD CONSTRAINT FK_7B4AB04F147256E0 FOREIGN KEY (ldap_id) REFERENCES ldap (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE access_user ADD CONSTRAINT FK_7B4AB04FD60322AC FOREIGN KEY (role_id) REFERENCES role (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AE104C1D3 FOREIGN KEY (created_user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095ABC5AC082 FOREIGN KEY (label_group_id) REFERENCES label_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A33B92F39 FOREIGN KEY (label_id) REFERENCES label (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095ACCFA12B8 FOREIGN KEY (profile_id) REFERENCES profile (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A24890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A81EC865B FOREIGN KEY (authority_id) REFERENCES authority (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AAD0E05F6 FOREIGN KEY (vocabulary_id) REFERENCES vocabulary (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A12469DE2 FOREIGN KEY (category_id) REFERENCES category (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AA6C7109A FOREIGN KEY (service_level_id) REFERENCES service_level (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AD021A58D FOREIGN KEY (document_rule_id) REFERENCES document_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A682B5931 FOREIGN KEY (scope_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095AFC931FB FOREIGN KEY (management_rule_id) REFERENCES management_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE activity ADD CONSTRAINT FK_AC74095A35D8B527 FOREIGN KEY (rule_type_id) REFERENCES rule_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement ADD CONSTRAINT FK_2E655A249033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_label ADD CONSTRAINT FK_542A40E524890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_label ADD CONSTRAINT FK_542A40E533B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_archival_agency_identifier ADD CONSTRAINT FK_C689260424890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_file ADD CONSTRAINT FK_45020EE93CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_file ADD CONSTRAINT FK_45020EE24890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_originating_agency_identifier ADD CONSTRAINT FK_A1CB12D124890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_profile_identifier ADD CONSTRAINT FK_E93257AC24890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE agreement_transferring_agency_identifier ADD CONSTRAINT FK_799A6A3B24890B2B FOREIGN KEY (agreement_id) REFERENCES agreement (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE api_token ADD CONSTRAINT FK_7BA2F5EBA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE api_token ADD CONSTRAINT FK_7BA2F5EB9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE authority ADD CONSTRAINT FK_4AF96AFC9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE authority_label ADD CONSTRAINT FK_B32E5BC181EC865B FOREIGN KEY (authority_id) REFERENCES authority (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE authority_label ADD CONSTRAINT FK_B32E5BC133B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE authority_file ADD CONSTRAINT FK_B86603E093CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE authority_file ADD CONSTRAINT FK_B86603E081EC865B FOREIGN KEY (authority_id) REFERENCES authority (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE category ADD CONSTRAINT FK_64C19C19033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE category ADD CONSTRAINT FK_64C19C1727ACA70 FOREIGN KEY (parent_id) REFERENCES category (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE category ADD CONSTRAINT FK_64C19C179066886 FOREIGN KEY (root_id) REFERENCES category (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE cron_execution ADD CONSTRAINT FK_F7D4AEC38435942 FOREIGN KEY (cron_id) REFERENCES cron (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule ADD CONSTRAINT FK_E16C205F9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule ADD CONSTRAINT FK_E16C205F3723033 FOREIGN KEY (storage_rule_id) REFERENCES management_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule ADD CONSTRAINT FK_E16C205FF9F32A6 FOREIGN KEY (appraisal_rule_id) REFERENCES management_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule ADD CONSTRAINT FK_E16C205FBC6BD944 FOREIGN KEY (access_rule_id) REFERENCES management_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule ADD CONSTRAINT FK_E16C205FCCFA12B8 FOREIGN KEY (profile_id) REFERENCES profile (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_label ADD CONSTRAINT FK_6156DB7ED021A58D FOREIGN KEY (document_rule_id) REFERENCES document_rule (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_label ADD CONSTRAINT FK_6156DB7E33B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_category ADD CONSTRAINT FK_ED1F5EE6D021A58D FOREIGN KEY (document_rule_id) REFERENCES document_rule (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_category ADD CONSTRAINT FK_ED1F5EE612469DE2 FOREIGN KEY (category_id) REFERENCES category (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_file ADD CONSTRAINT FK_CD6341C693CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_file ADD CONSTRAINT FK_CD6341C6D021A58D FOREIGN KEY (document_rule_id) REFERENCES document_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_import_session ADD CONSTRAINT FK_4F2152E2A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_import_session ADD CONSTRAINT FK_4F2152E29033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_import_session ADD CONSTRAINT FK_4F2152E2BED78269 FOREIGN KEY (csv_file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE document_rule_import_session ADD CONSTRAINT FK_4F2152E25270E2EE FOREIGN KEY (last_category_id) REFERENCES category (id) ON DELETE SET NULL NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE label ADD CONSTRAINT FK_EA750E89033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE label ADD CONSTRAINT FK_EA750E8BC5AC082 FOREIGN KEY (label_group_id) REFERENCES label_group (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE label_group ADD CONSTRAINT FK_FFDEF2CB9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE ldap_tenant ADD CONSTRAINT FK_240BE9F1147256E0 FOREIGN KEY (ldap_id) REFERENCES ldap (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE ldap_tenant ADD CONSTRAINT FK_240BE9F19033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule ADD CONSTRAINT FK_D2307BD89033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule ADD CONSTRAINT FK_D2307BD835D8B527 FOREIGN KEY (rule_type_id) REFERENCES rule_type (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule_label ADD CONSTRAINT FK_8AD6EA17FC931FB FOREIGN KEY (management_rule_id) REFERENCES management_rule (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule_label ADD CONSTRAINT FK_8AD6EA1733B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule_file ADD CONSTRAINT FK_4364170393CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE management_rule_file ADD CONSTRAINT FK_43641703FC931FB FOREIGN KEY (management_rule_id) REFERENCES management_rule (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE notify ADD CONSTRAINT FK_217BEDC8A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE openid_tenant ADD CONSTRAINT FK_6277A3859B95AF69 FOREIGN KEY (openid_id) REFERENCES openid (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE openid_tenant ADD CONSTRAINT FK_6277A3859033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE openid_scope ADD CONSTRAINT FK_F756396D9B95AF69 FOREIGN KEY (openid_id) REFERENCES openid (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE permission_privilege ADD CONSTRAINT FK_A5D7B4EB32FB8AEA FOREIGN KEY (privilege_id) REFERENCES privilege (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege ADD CONSTRAINT FK_87209A879033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege ADD CONSTRAINT FK_87209A8732FB8AEA FOREIGN KEY (privilege_id) REFERENCES privilege (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege_role ADD CONSTRAINT FK_97F8DF5F32FB8AEA FOREIGN KEY (privilege_id) REFERENCES privilege (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege_role ADD CONSTRAINT FK_97F8DF5FD60322AC FOREIGN KEY (role_id) REFERENCES role (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege_user ADD CONSTRAINT FK_4D02837C32FB8AEA FOREIGN KEY (privilege_id) REFERENCES privilege (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege_user ADD CONSTRAINT FK_4D02837C9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE privilege_user ADD CONSTRAINT FK_4D02837CA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE profile ADD CONSTRAINT FK_8157AA0F9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE profile_label ADD CONSTRAINT FK_F973CF3ACCFA12B8 FOREIGN KEY (profile_id) REFERENCES profile (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE profile_label ADD CONSTRAINT FK_F973CF3A33B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE profile_file ADD CONSTRAINT FK_3A57B98493CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE profile_file ADD CONSTRAINT FK_3A57B984CCFA12B8 FOREIGN KEY (profile_id) REFERENCES profile (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE rgpd_info ADD CONSTRAINT FK_CDF17D699033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE role ADD CONSTRAINT FK_57698A6A9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE rule_type ADD CONSTRAINT FK_DF1A085E9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_level ADD CONSTRAINT FK_339821F49033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_level_label ADD CONSTRAINT FK_A8E4734DA6C7109A FOREIGN KEY (service_level_id) REFERENCES service_level (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_level_label ADD CONSTRAINT FK_A8E4734D33B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_level_file ADD CONSTRAINT FK_73EBF4B593CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE service_level_file ADD CONSTRAINT FK_73EBF4B5A6C7109A FOREIGN KEY (service_level_id) REFERENCES service_level (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE table_filters ADD CONSTRAINT FK_7A442682ECFF285C FOREIGN KEY (table_id) REFERENCES "table" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tenant ADD CONSTRAINT FK_4E59C46273F32DD8 FOREIGN KEY (configuration_id) REFERENCES tenant_configuration (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tenant_user ADD CONSTRAINT FK_C7FC8C9A9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tenant_user ADD CONSTRAINT FK_C7FC8C9AA76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tenant_configuration ADD CONSTRAINT FK_9FB3222356544DFA FOREIGN KEY (logo_main_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE tenant_configuration ADD CONSTRAINT FK_9FB32223C83BB8B FOREIGN KEY (logo_login_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE term ADD CONSTRAINT FK_A50FE78DAD0E05F6 FOREIGN KEY (vocabulary_id) REFERENCES vocabulary (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE user_creation_request ADD CONSTRAINT FK_66831F299033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE user_password_renew_token ADD CONSTRAINT FK_B93DC872A76ED395 FOREIGN KEY (user_id) REFERENCES "user" (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vocabulary ADD CONSTRAINT FK_9099C97B9033212A FOREIGN KEY (tenant_id) REFERENCES tenant (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vocabulary_label ADD CONSTRAINT FK_3C24DD02AD0E05F6 FOREIGN KEY (vocabulary_id) REFERENCES vocabulary (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vocabulary_label ADD CONSTRAINT FK_3C24DD0233B92F39 FOREIGN KEY (label_id) REFERENCES label (id) ON DELETE CASCADE NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vocabulary_file ADD CONSTRAINT FK_D77E3F3C93CB796C FOREIGN KEY (file_id) REFERENCES file (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
        $this->addSql('ALTER TABLE vocabulary_file ADD CONSTRAINT FK_D77E3F3CAD0E05F6 FOREIGN KEY (vocabulary_id) REFERENCES vocabulary (id) NOT DEFERRABLE INITIALLY IMMEDIATE');
    }

    public function down(Schema $schema): void
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->addSql('CREATE SCHEMA public');
        $this->addSql('ALTER TABLE access_user DROP CONSTRAINT FK_7B4AB04FA76ED395');
        $this->addSql('ALTER TABLE access_user DROP CONSTRAINT FK_7B4AB04F9033212A');
        $this->addSql('ALTER TABLE access_user DROP CONSTRAINT FK_7B4AB04F9B95AF69');
        $this->addSql('ALTER TABLE access_user DROP CONSTRAINT FK_7B4AB04F147256E0');
        $this->addSql('ALTER TABLE access_user DROP CONSTRAINT FK_7B4AB04FD60322AC');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AE104C1D3');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A9033212A');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AA76ED395');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095ABC5AC082');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A33B92F39');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095ACCFA12B8');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A24890B2B');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A81EC865B');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AAD0E05F6');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A12469DE2');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AA6C7109A');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AD021A58D');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A682B5931');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095AFC931FB');
        $this->addSql('ALTER TABLE activity DROP CONSTRAINT FK_AC74095A35D8B527');
        $this->addSql('ALTER TABLE agreement DROP CONSTRAINT FK_2E655A249033212A');
        $this->addSql('ALTER TABLE agreement_label DROP CONSTRAINT FK_542A40E524890B2B');
        $this->addSql('ALTER TABLE agreement_label DROP CONSTRAINT FK_542A40E533B92F39');
        $this->addSql('ALTER TABLE agreement_archival_agency_identifier DROP CONSTRAINT FK_C689260424890B2B');
        $this->addSql('ALTER TABLE agreement_file DROP CONSTRAINT FK_45020EE93CB796C');
        $this->addSql('ALTER TABLE agreement_file DROP CONSTRAINT FK_45020EE24890B2B');
        $this->addSql('ALTER TABLE agreement_originating_agency_identifier DROP CONSTRAINT FK_A1CB12D124890B2B');
        $this->addSql('ALTER TABLE agreement_profile_identifier DROP CONSTRAINT FK_E93257AC24890B2B');
        $this->addSql('ALTER TABLE agreement_transferring_agency_identifier DROP CONSTRAINT FK_799A6A3B24890B2B');
        $this->addSql('ALTER TABLE api_token DROP CONSTRAINT FK_7BA2F5EBA76ED395');
        $this->addSql('ALTER TABLE api_token DROP CONSTRAINT FK_7BA2F5EB9033212A');
        $this->addSql('ALTER TABLE authority DROP CONSTRAINT FK_4AF96AFC9033212A');
        $this->addSql('ALTER TABLE authority_label DROP CONSTRAINT FK_B32E5BC181EC865B');
        $this->addSql('ALTER TABLE authority_label DROP CONSTRAINT FK_B32E5BC133B92F39');
        $this->addSql('ALTER TABLE authority_file DROP CONSTRAINT FK_B86603E093CB796C');
        $this->addSql('ALTER TABLE authority_file DROP CONSTRAINT FK_B86603E081EC865B');
        $this->addSql('ALTER TABLE category DROP CONSTRAINT FK_64C19C19033212A');
        $this->addSql('ALTER TABLE category DROP CONSTRAINT FK_64C19C1727ACA70');
        $this->addSql('ALTER TABLE category DROP CONSTRAINT FK_64C19C179066886');
        $this->addSql('ALTER TABLE cron_execution DROP CONSTRAINT FK_F7D4AEC38435942');
        $this->addSql('ALTER TABLE document_rule DROP CONSTRAINT FK_E16C205F9033212A');
        $this->addSql('ALTER TABLE document_rule DROP CONSTRAINT FK_E16C205F3723033');
        $this->addSql('ALTER TABLE document_rule DROP CONSTRAINT FK_E16C205FF9F32A6');
        $this->addSql('ALTER TABLE document_rule DROP CONSTRAINT FK_E16C205FBC6BD944');
        $this->addSql('ALTER TABLE document_rule DROP CONSTRAINT FK_E16C205FCCFA12B8');
        $this->addSql('ALTER TABLE document_rule_label DROP CONSTRAINT FK_6156DB7ED021A58D');
        $this->addSql('ALTER TABLE document_rule_label DROP CONSTRAINT FK_6156DB7E33B92F39');
        $this->addSql('ALTER TABLE document_rule_category DROP CONSTRAINT FK_ED1F5EE6D021A58D');
        $this->addSql('ALTER TABLE document_rule_category DROP CONSTRAINT FK_ED1F5EE612469DE2');
        $this->addSql('ALTER TABLE document_rule_file DROP CONSTRAINT FK_CD6341C693CB796C');
        $this->addSql('ALTER TABLE document_rule_file DROP CONSTRAINT FK_CD6341C6D021A58D');
        $this->addSql('ALTER TABLE document_rule_import_session DROP CONSTRAINT FK_4F2152E2A76ED395');
        $this->addSql('ALTER TABLE document_rule_import_session DROP CONSTRAINT FK_4F2152E29033212A');
        $this->addSql('ALTER TABLE document_rule_import_session DROP CONSTRAINT FK_4F2152E2BED78269');
        $this->addSql('ALTER TABLE document_rule_import_session DROP CONSTRAINT FK_4F2152E25270E2EE');
        $this->addSql('ALTER TABLE label DROP CONSTRAINT FK_EA750E89033212A');
        $this->addSql('ALTER TABLE label DROP CONSTRAINT FK_EA750E8BC5AC082');
        $this->addSql('ALTER TABLE label_group DROP CONSTRAINT FK_FFDEF2CB9033212A');
        $this->addSql('ALTER TABLE ldap_tenant DROP CONSTRAINT FK_240BE9F1147256E0');
        $this->addSql('ALTER TABLE ldap_tenant DROP CONSTRAINT FK_240BE9F19033212A');
        $this->addSql('ALTER TABLE management_rule DROP CONSTRAINT FK_D2307BD89033212A');
        $this->addSql('ALTER TABLE management_rule DROP CONSTRAINT FK_D2307BD835D8B527');
        $this->addSql('ALTER TABLE management_rule_label DROP CONSTRAINT FK_8AD6EA17FC931FB');
        $this->addSql('ALTER TABLE management_rule_label DROP CONSTRAINT FK_8AD6EA1733B92F39');
        $this->addSql('ALTER TABLE management_rule_file DROP CONSTRAINT FK_4364170393CB796C');
        $this->addSql('ALTER TABLE management_rule_file DROP CONSTRAINT FK_43641703FC931FB');
        $this->addSql('ALTER TABLE notify DROP CONSTRAINT FK_217BEDC8A76ED395');
        $this->addSql('ALTER TABLE openid_tenant DROP CONSTRAINT FK_6277A3859B95AF69');
        $this->addSql('ALTER TABLE openid_tenant DROP CONSTRAINT FK_6277A3859033212A');
        $this->addSql('ALTER TABLE openid_scope DROP CONSTRAINT FK_F756396D9B95AF69');
        $this->addSql('ALTER TABLE permission_privilege DROP CONSTRAINT FK_A5D7B4EB32FB8AEA');
        $this->addSql('ALTER TABLE privilege DROP CONSTRAINT FK_87209A879033212A');
        $this->addSql('ALTER TABLE privilege DROP CONSTRAINT FK_87209A8732FB8AEA');
        $this->addSql('ALTER TABLE privilege_role DROP CONSTRAINT FK_97F8DF5F32FB8AEA');
        $this->addSql('ALTER TABLE privilege_role DROP CONSTRAINT FK_97F8DF5FD60322AC');
        $this->addSql('ALTER TABLE privilege_user DROP CONSTRAINT FK_4D02837C32FB8AEA');
        $this->addSql('ALTER TABLE privilege_user DROP CONSTRAINT FK_4D02837C9033212A');
        $this->addSql('ALTER TABLE privilege_user DROP CONSTRAINT FK_4D02837CA76ED395');
        $this->addSql('ALTER TABLE profile DROP CONSTRAINT FK_8157AA0F9033212A');
        $this->addSql('ALTER TABLE profile_label DROP CONSTRAINT FK_F973CF3ACCFA12B8');
        $this->addSql('ALTER TABLE profile_label DROP CONSTRAINT FK_F973CF3A33B92F39');
        $this->addSql('ALTER TABLE profile_file DROP CONSTRAINT FK_3A57B98493CB796C');
        $this->addSql('ALTER TABLE profile_file DROP CONSTRAINT FK_3A57B984CCFA12B8');
        $this->addSql('ALTER TABLE rgpd_info DROP CONSTRAINT FK_CDF17D699033212A');
        $this->addSql('ALTER TABLE role DROP CONSTRAINT FK_57698A6A9033212A');
        $this->addSql('ALTER TABLE rule_type DROP CONSTRAINT FK_DF1A085E9033212A');
        $this->addSql('ALTER TABLE service_level DROP CONSTRAINT FK_339821F49033212A');
        $this->addSql('ALTER TABLE service_level_label DROP CONSTRAINT FK_A8E4734DA6C7109A');
        $this->addSql('ALTER TABLE service_level_label DROP CONSTRAINT FK_A8E4734D33B92F39');
        $this->addSql('ALTER TABLE service_level_file DROP CONSTRAINT FK_73EBF4B593CB796C');
        $this->addSql('ALTER TABLE service_level_file DROP CONSTRAINT FK_73EBF4B5A6C7109A');
        $this->addSql('ALTER TABLE table_filters DROP CONSTRAINT FK_7A442682ECFF285C');
        $this->addSql('ALTER TABLE tenant DROP CONSTRAINT FK_4E59C46273F32DD8');
        $this->addSql('ALTER TABLE tenant_user DROP CONSTRAINT FK_C7FC8C9A9033212A');
        $this->addSql('ALTER TABLE tenant_user DROP CONSTRAINT FK_C7FC8C9AA76ED395');
        $this->addSql('ALTER TABLE tenant_configuration DROP CONSTRAINT FK_9FB3222356544DFA');
        $this->addSql('ALTER TABLE tenant_configuration DROP CONSTRAINT FK_9FB32223C83BB8B');
        $this->addSql('ALTER TABLE term DROP CONSTRAINT FK_A50FE78DAD0E05F6');
        $this->addSql('ALTER TABLE user_creation_request DROP CONSTRAINT FK_66831F299033212A');
        $this->addSql('ALTER TABLE user_password_renew_token DROP CONSTRAINT FK_B93DC872A76ED395');
        $this->addSql('ALTER TABLE vocabulary DROP CONSTRAINT FK_9099C97B9033212A');
        $this->addSql('ALTER TABLE vocabulary_label DROP CONSTRAINT FK_3C24DD02AD0E05F6');
        $this->addSql('ALTER TABLE vocabulary_label DROP CONSTRAINT FK_3C24DD0233B92F39');
        $this->addSql('ALTER TABLE vocabulary_file DROP CONSTRAINT FK_D77E3F3C93CB796C');
        $this->addSql('ALTER TABLE vocabulary_file DROP CONSTRAINT FK_D77E3F3CAD0E05F6');
        $this->addSql('DROP TABLE access_user');
        $this->addSql('DROP TABLE activity');
        $this->addSql('DROP TABLE agreement');
        $this->addSql('DROP TABLE agreement_label');
        $this->addSql('DROP TABLE agreement_archival_agency_identifier');
        $this->addSql('DROP TABLE agreement_file');
        $this->addSql('DROP TABLE agreement_originating_agency_identifier');
        $this->addSql('DROP TABLE agreement_profile_identifier');
        $this->addSql('DROP TABLE agreement_transferring_agency_identifier');
        $this->addSql('DROP TABLE api_token');
        $this->addSql('DROP TABLE authority');
        $this->addSql('DROP TABLE authority_label');
        $this->addSql('DROP TABLE authority_file');
        $this->addSql('DROP TABLE category');
        $this->addSql('DROP TABLE cron');
        $this->addSql('DROP TABLE cron_execution');
        $this->addSql('DROP TABLE document_rule');
        $this->addSql('DROP TABLE document_rule_label');
        $this->addSql('DROP TABLE document_rule_category');
        $this->addSql('DROP TABLE document_rule_file');
        $this->addSql('DROP TABLE document_rule_import_session');
        $this->addSql('DROP TABLE file');
        $this->addSql('DROP TABLE label');
        $this->addSql('DROP TABLE label_group');
        $this->addSql('DROP TABLE ldap');
        $this->addSql('DROP TABLE ldap_tenant');
        $this->addSql('DROP TABLE management_rule');
        $this->addSql('DROP TABLE management_rule_label');
        $this->addSql('DROP TABLE management_rule_file');
        $this->addSql('DROP TABLE notify');
        $this->addSql('DROP TABLE openid');
        $this->addSql('DROP TABLE openid_tenant');
        $this->addSql('DROP TABLE openid_scope');
        $this->addSql('DROP TABLE permission_privilege');
        $this->addSql('DROP TABLE privilege');
        $this->addSql('DROP TABLE privilege_role');
        $this->addSql('DROP TABLE privilege_user');
        $this->addSql('DROP TABLE profile');
        $this->addSql('DROP TABLE profile_label');
        $this->addSql('DROP TABLE profile_file');
        $this->addSql('DROP TABLE rgpd_info');
        $this->addSql('DROP TABLE role');
        $this->addSql('DROP TABLE rule_type');
        $this->addSql('DROP TABLE service_level');
        $this->addSql('DROP TABLE service_level_label');
        $this->addSql('DROP TABLE service_level_file');
        $this->addSql('DROP TABLE "table"');
        $this->addSql('DROP TABLE table_filters');
        $this->addSql('DROP TABLE tenant');
        $this->addSql('DROP TABLE tenant_user');
        $this->addSql('DROP TABLE tenant_configuration');
        $this->addSql('DROP TABLE term');
        $this->addSql('DROP TABLE "user"');
        $this->addSql('DROP TABLE user_creation_request');
        $this->addSql('DROP TABLE user_password_renew_token');
        $this->addSql('DROP TABLE version');
        $this->addSql('DROP TABLE vocabulary');
        $this->addSql('DROP TABLE vocabulary_label');
        $this->addSql('DROP TABLE vocabulary_file');
        $this->addSql('DROP TABLE messenger_messages');
        $this->addSql('DROP TABLE sessions');
    }
}
